Bug 474526 - [hne_IN] Chhattisgarhi language locale not available
[hne_IN] Chhattisgarhi language locale not available
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 05:05 EST by Pravin Satpute
Modified: 2008-12-08 05:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 05:51:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
locale file for hne_IN Chhattisgarhi language (6.56 KB, text/plain)
2008-12-04 05:14 EST, Pravin Satpute
no flags Details
locale file for hne_IN Chhattisgarhi language (4.98 KB, text/plain)
2008-12-05 00:29 EST, Pravin Satpute
no flags Details
locale file for hne_IN Chhattisgarhi language (5.27 KB, application/octet-stream)
2008-12-05 01:17 EST, Pravin Satpute
no flags Details

  None (edit)
Description Pravin Satpute 2008-12-04 05:05:41 EST
Description of problem:
Chhattisgarhi language locale not available

Version-Release number of selected component (if applicable):
glibc-2.9-2

How reproducible:
everytime

Steps to Reproduce:
1.check /usr/share/i18n/locale/
2.
3.
  
Actual results:


Expected results:


Additional info:
http://en.wikipedia.org/wiki/Chhattisgarhi_language
Comment 1 Pravin Satpute 2008-12-04 05:14:22 EST
Created attachment 325662 [details]
locale file for hne_IN Chhattisgarhi language
Comment 2 Ulrich Drepper 2008-12-04 22:28:41 EST
Fix up the patch:

- the company name is Red Hat, not Redhat

- you've copied all kinds of categories.  For all categories which are identical with any of the other Indian locales, use copy "..." instead

- add the "hne" language code in the lang_term field
Comment 3 Pravin Satpute 2008-12-05 00:29:53 EST
Created attachment 325801 [details]
locale file for hne_IN Chhattisgarhi language
Comment 4 Pravin Satpute 2008-12-05 00:33:12 EST
(In reply to comment #2)
> Fix up the patch:
> 
> - the company name is Red Hat, not Redhat
> 
> - you've copied all kinds of categories.  For all categories which are
> identical with any of the other Indian locales, use copy "..." instead

done

> - add the "hne" language code in the lang_term field
sorry, i didnt understood exactly where to add this
is it here?
language   "Chhattisgarhi"
Comment 5 Ulrich Drepper 2008-12-05 00:39:32 EST
LC_ADDRESS has language information in it.  hi_IN doesn't have the correct information either but we shouldn't create situations where we cannot add missing information.

> sorry, i didnt understood exactly where to add this
> is it here?
> language   "Chhattisgarhi"

in LC_ADDRESS there are fields lang_term etc.  Look at a locale like de_DE.
Comment 6 Pravin Satpute 2008-12-05 01:13:32 EST
adding lang_term field giving me error
LC_ADDRESS: terminology language code `hne' not defined
is there anything else need to do
Comment 7 Pravin Satpute 2008-12-05 01:17:32 EST
Created attachment 325805 [details]
locale file for hne_IN Chhattisgarhi language
Comment 8 Ulrich Drepper 2008-12-05 01:26:42 EST
(In reply to comment #6)
> adding lang_term field giving me error
> LC_ADDRESS: terminology language code `hne' not defined
> is there anything else need to do

That's expected.  I've already changed it upstream.
Comment 9 Pravin Satpute 2008-12-05 01:29:11 EST
thats nice
Thanks :)
Comment 10 Ulrich Drepper 2008-12-05 21:13:37 EST
Applied upstream.  Will be in the next build.

Note You need to log in before you can comment on or make changes to this bug.